summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Heras2018-02-23 00:47:10 +0100
committer Willy Sudiarto Raharjo2018-02-24 00:55:40 +0100
commite9261609f3d7fda51ac31cb46f92b3d2dddecd2e (patch)
treeeb78d3ae745261e991056895f8d3ac2bf26fdd0a
parentbd855121b4636a055c830631cd0c2465183cc415 (diff)
downloadslackbuilds-e9261609f3d7fda51ac31cb46f92b3d2dddecd2e.tar.gz
desktop/wmix: Added (dockapp mixer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/wmix/README7
-rw-r--r--desktop/wmix/slack-desc19
-rw-r--r--desktop/wmix/wmix.SlackBuild102
-rw-r--r--desktop/wmix/wmix.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/desktop/wmix/README b/desktop/wmix/README
new file mode 100644
index 0000000000..8e9a8d2394
--- /dev/null
+++ b/desktop/wmix/README
@@ -0,0 +1,7 @@
+Dockapp mixer for OSS or ALSA.
+
+Allows toggling record source, muting individual channels, adjusting volume and balance,
+all in a compact dockapp size, with TV-like on-screen-display for volume levels.
+Supports mousewheel to adjust current channel volume, and can be controlled remotely
+with SIGUSR1 / SIGUSR2 to adjust the volume, too.
+Can use a configuration file to control some of the features.
diff --git a/desktop/wmix/slack-desc b/desktop/wmix/slack-desc
new file mode 100644
index 0000000000..068e2bb1cd
--- /dev/null
+++ b/desktop/wmix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmix: wmix (dockapp mixer)
+wmix:
+wmix: Dockapp mixer for OSS or ALSA. Allows toggling record source, muting
+wmix: individual channels, adjusting volume and balance, all in a compact
+wmix: dockapp size, with TV-like on-screen-display for volume levels.
+wmix: Supports mousewheel to adjust current channel volume, and can be
+wmix: controlled remotely with SIGUSR1 / SIGUSR2 to adjust the volume, too.
+wmix:
+wmix:
+wmix:
+wmix:
diff --git a/desktop/wmix/wmix.SlackBuild b/desktop/wmix/wmix.SlackBuild
new file mode 100644
index 0000000000..0786374556
--- /dev/null
+++ b/desktop/wmix/wmix.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for <wmix>
+
+# Copyright <2018> <Michael Heras>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmix
+VERSION=${VERSION:-3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmix/wmix.info b/desktop/wmix/wmix.info
new file mode 100644
index 0000000000..e1a95165a7
--- /dev/null
+++ b/desktop/wmix/wmix.info
@@ -0,0 +1,10 @@
+PRGNAM="wmix"
+VERSION="3.3"
+HOMEPAGE="http://www.dockapps.net/wmix"
+DOWNLOAD="http://www.dockapps.net/download/wmix-3.3.tar.gz"
+MD5SUM="7d1a1ac7952dbcedf8c5e734bec8d54b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michael Heras"
+EMAIL="userxbw@gmail.com"